﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Data;
using System.Web.UI.HtmlControls;

public partial class PanelBar_Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        if (!IsPostBack)
        {
            RadPanelBar1.DataSource = CreateTestTable();
            //Establish hierarchy:   
            RadPanelBar1.DataFieldID = "ID";
            RadPanelBar1.DataFieldParentID = "ParentID";
            //Set Text, Value, and NavigateUrl:   
            RadPanelBar1.DataTextField = "Text";
            RadPanelBar1.DataValueField = "ID";
            RadPanelBar1.DataNavigateUrlField = "URL";
            RadPanelBar1.DataBind();
        }


        CustomContentTemplate template = new CustomContentTemplate();

        foreach (RadPanelItem item in RadPanelBar1.Items)
        {
            foreach (RadPanelItem subItem in item.Items)
            {
                //adding empty header template for the child items
                subItem.HeaderTemplate = new HeaderTemplateClass();
                subItem.ApplyHeaderTemplate();
                //adding content template for the child items
                subItem.ContentTemplate = new CustomContentTemplate();
                template.InstantiateIn(subItem);
                subItem.DataBind();
            }
        }
    }

    private DataTable CreateTestTable()
    {
        DataTable table = new DataTable();
        table.Columns.Add("ID");
        table.Columns.Add("ParentID");
        table.Columns.Add("Text");
        table.Columns.Add("URL");
        table.Columns.Add("Tooltip");
        table.Rows.Add(new string[] { "1", null, "root 1", "root1.aspx", "root 1 tooltip" });
        table.Rows.Add(new string[] { "2", null, "root 2", "root2.aspx", "root 1 tooltip" });
        table.Rows.Add(new string[] { "3", "1", "child 1.1", "child11.aspx", "child 1.1 tooltip" });
        table.Rows.Add(new string[] { "4", "1", "child 1.2", "child12.aspx", "child 1.2 tooltip" });
        table.Rows.Add(new string[] { "5", "1", "child 1.3", "child13.aspx", "child 1.3 tooltip" });
        table.Rows.Add(new string[] { "6", "2", "child 2.1", "child131.aspx", "child 1.3.1 tooltip" });
        table.Rows.Add(new string[] { "7", "2", "child 2.2", "child132.aspx", "child 1.3.2 tooltip" });
        table.Rows.Add(new string[] { "8", "2", "child 2.3", "child133.aspx", "child 1.3.3 tooltip" });
        return table;
    }

    class HeaderTemplateClass : ITemplate
    {
        public void InstantiateIn(Control container)
        {
        }
        protected void HeaderCheckBox_DataBinding(object sender, EventArgs e)
        {

        }
    }
    class CustomContentTemplate : ITemplate
    {
        public void InstantiateIn(Control container)
        {
            Label label2 = new Label();
            label2.Font.Bold = true;
            CheckBox chck1 = new CheckBox();
            container.Controls.Add(chck1);
            label2.DataBinding += new EventHandler(label1_DataBinding1);
            container.Controls.Add(label2);
        }


        private void label1_DataBinding1(object sender, EventArgs e)
        {
            Label texttarget = (Label)sender;
            RadPanelItem item1 = (RadPanelItem)texttarget.BindingContainer;
            texttarget.Text = item1.Text;
            texttarget.CssClass = "textClass";
        }
    }


}